List all orders
List of all orders in the workspace.
GET/v0/orders
Authorisations
AuthorizationString
Query Parameters
user_idstring
User IDlimitinteger
Limitoffsetinteger
OffsetResponse
OKapplication/json
ordersobject[]
paginationobject
List all orders
1curl -X GET 'https://api.pixxel.space/v0/orders' \2 -H 'Authorization: YOUR_API_KEY'
Response:
{"orders": [{"created_at": "2020-01-01T00:00:00+00:00","created_by": "47435e2b-d8c4-41ff-9de9-2be3bfc92270","id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276","order_items": [{"area": 1000,"bandset": null,"base_amount": 10000,"cloud_cover": 0,"cloud_delivery": null,"created_at": "2024-05-27T06:50:20.056549Z","created_by": "b64d2c37-89c3-404d-8395-dedb0fe9131c","delivery_speed": "STANDARD","end_date": "2020-10-28T00:00:00Z","feasibility_status": "FAILED/WEAK_SUCCESS/SUCCESS","final_amount": 12000,"id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276","image_type": "VNIR","images": [{"geometry": null,"item_id": "string"}],"last_feasibility_check": "2024-05-27T06:50:20.056549Z","name": "order item 1","no_of_occurrences": 0,"number_of_bands": 2,"occurrences": [{"end": "2020-01-01T00:00:00+00:00","start": "2020-01-01T00:00:00+00:00"}],"off_nadir": 0,"order_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276","org_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276","payment_status": "PAID/PARTIAL-REFUND/REFUND/UNPAID/PARTIAL-MONTHLY","project_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276","recurrence": "ONCE","start_date": "2020-10-22T00:00:00Z","status": "DRAFT/ACTIVE/FULFILLED/CANCELLED/FAILED/PARTIALLY_FULFILLED","tokens_used": 100,"transaction_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276","type": "TASKING/ARCHIVE/RECURRING","updated_at": "2024-05-27T06:50:20.056549Z","updated_by": "274a30f5-9ff2-4cc7-8680-7b2e076b9faf","uplifts": [{"amount": 0,"item_id": "string","percentage": 0,"subtitle": "string","title": "string"}],"usecase": "agriculture","user_id": "47435e2b-d8c4-41ff-9de9-2be3bfc92276"}],"org_id": "e31ab6f8-d359-4c6a-83c6-bfa32229bb01","paid_at": "","status": "PAID","total_amount": 1000,"transaction_id": "3671066b-c4fd-4201-8e02-470cb6bc088e","updated_at": "2020-01-01T00:00:00+00:00","updated_by": "47435e2b-d8c4-41ff-9de9-2be3bfc92270","user_id": "90afd20d-8447-4636-a60d-73102008856c"}],"pagination": {"limit": 10,"offset": 0,"total": 100}}